Subject: bug#60411: 29.0.60; minibuffer-next-completion skips first candidate when completions-header-format and completion-show-help are nil

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jan 2023 08:43:39 +0200

> Cc: Knut Anders Hatlen <[email-masked]>, [email-masked],
>  Stefan Monnier <[email-masked]>
> Date: Thu, 05 Jan 2023 21:04:03 +0000
> From: Gregory Heytings <[email-masked]>
> 
> > Then I guess your insert-invisible-\n patch is the simplest way to 
> > enforce such a long-standing rule that no candidate is selected in the 
> > completions buffer initially, even when it has no visible header. And 
> > definitely this is the safest solution for the release branch.
> >
> 
> Stefan and Eli, do you agree with that conclusion?

I admit that I've lost the line of reasoning here (too much of the
previous context is being elided, forcing me to re-read the entire
discussion).  Which code is proposed for the release branch, and how
will Emacs behave with that code in this particular use case?